cckddiag(1)

NAME
cckddiag - Hercules CCKD DASD diagnostic tool

SYNOPSIS
cckddiag [options...] filename

DESCRIPTION
Hercules support tool used to assist in the diagnosis of CCKD DASD problems. Operates on Hercules CCKD DASD volumes in read-only mode, and displays various information contained in CCKD DASD files. Effective usage requires internal knowledge of Hercules CCKD DASD files.

OPTIONS
The following options are used to specify which portions of the CCKD DASD file are to be displayed. Options may not be combined; for example, -cd1 is not a valid option. Surround each option by blank(s). Argument numbers may be specified either in decimal or hexadecimal. If the number begins with the characters 0x the number is presumed to be hexadecimal; else the number is presumed to be decimal. No numeric overflow checking is done, the user is assumed (!) to know what they're doing. Options are divided into three categories: global options, track-related options, and the offset option.

Global options

  filename
specifies the Hercules CCKD DASD filename (sometimes referred to as the DASD image file)

  -v
display version and exit

  -d
display DEVHDR

  -c
display CDEVHDR

  -1
display L1TAB (note this option is a numeric one)

  -g
enable debug output

Track-related options
To direct cckddiag to a specific track, two options are provided: -a and -r. The remaining track-related options describe the kind of output desired. The TRKHDR for the track is displayed for all track-related options.

  -a cc hh
display absolute CCHH data - where cc and hh are respectively the cylinder number (relative zero), and the head number (relative zero).

  -r tt
display relative track data - where tt is the track number (relative zero).

  -2
display L2TAB - requires a corresponding -a or -r specification to direct cckddiag to a specific track.

  -t
display track data - displays the COUNT, KEY, and DATA record summaries for the data residing on the indicated track.

  -x
hex display track key/data - displays the KEY and DATA records' contents in hexadecimal display format for the indicated track. Some repetitive data may be omitted from the hex display output.

Offset option
This option provides the ability to examine any portion of the CCKD file, as an alternative to track specification.

  -o oo ll
hex display data at offset oo of length ll.

SEE ALSO

cckd(4)

http://www.conmicro.cx/hercules/ the Hercules emulator homepage.

http://www.conmicro.cx/hercules/cckddasd.html which describes
    the Hercules CCKD DASD facility.

HISTORY
2003-02-07 originally written by James M. Morrison